package com.casic.missiles.modular.alarm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.modular.system.model.AlarmLevel;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 123
 * @since 2019-10-15
 */
public interface IAlarmLevelService extends IService<AlarmLevel> {
    Map<String,Object> selectByNameAndTenGroup(Long tenantId, String name);
    List<AlarmLevel> selectByNameAndTenList(Long tenantId, String name);
    AlarmLevel selectByNameAndTenAndLevel(Long tenantId, String name,Integer level);
}
